Refresh instance token
The Web Forms API is available in all developer accounts, but only in certain production account plans. Contact Docusign Support or your account manager to find out whether the Web Forms API is available for your production account plan.
Generates a new instance token for an existing web form instance. Tokens expire after five minutes.
Required authentication scopes: signature, webforms_instance_write.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Response
This object represents the eSignature envelope that is associated with the web form instance. An instance has an associated envelope if any of the following is true:
- The instance was created from a template-based web form configuration, was displayed to the user in an embedded view, and the user submitted the instance, which resulted in the generation of an envelope.
- The instance was created from a template-based web form configuration, was displayed to the user via a redirect to the Docusign platform, and the user submitted the instance, which resulted in the generation of an envelope.
- The instance was created from a template-based web form configuration, and the
Instances:createInstancerequest specified a remote web form instance. For this flow, an envelope is generated when the instance is created.
Web form instances generated from standalone configurations do not have envelopes associated with them.
Key-value pairs that represent the current values of the fields in the web form instance. The keys correspond to the componentName values of the formContent.components object on the WebForm (configuration) object. See Form field definitions for more information.
See Request that retrieves web form instance values for an example of a formValues object returned by this request.
This object contains information about the users who fill out a web form instance and its associated envelope.
If the web form template has roles that do not fill out the web form instance, this object does not include users associated with those roles.